AGSETR(3NCARG)

NAME
AGSETR - Allows a user program to store a real number as the value of a single parameter.

SYNOPSIS
CALL AGSETR (TPGN,FUSR)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_agsetr (char *tpgn, float fusr)

DESCRIPTION

TPGN
    (an input expression of type CHARACTER) is an parameter identifier, as described in AGSETP man page. If a group of more than one parameter is specified, only the first element of that group will be affected by the call.

FUSR
    (an input expression of type REAL) is the value to be given to the parameter specified by TPGN.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to set the current value of Autograph parameters. For a complete list of parameters available in this utility, see the autograph_params man page.

ACCESS
To use AGSETR or c_agsetr, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order. To get smoother curves, drawn using spline interpolation, also load libdashsmth.o. Or, you can use the ncargf77 command to compile your program and load the above libraries, then, to get smoother curves, use the -dashsmth option.

SEE ALSO
Online: autograph, autograph_params, agback, agbnch, agchax, agchcu, agchil, agchnl, agcurv, agdshn, aggetc, aggetf, aggeti, aggetp, aggetr, agpwrt, agrstr, agsave, agsetc, agsetf, agseti, agsetp, agstup, agutol, anotat, displa, ezmxy, ezmy, ezxy, ezy

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.